Bug 691673 - Review Request: perl-Module-Mask - Pretend certain modules are not installed
Summary: Review Request: perl-Module-Mask - Pretend certain modules are not installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 688035
TreeView+ depends on / blocked
 
Reported: 2011-03-29 08:44 UTC by Ralf Corsepius
Modified: 2011-04-07 18:49 UTC (History)
2 users (show)

Fixed In Version: perl-Module-Mask-0.03-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-03 04:22:42 UTC
Type: ---
iarnell: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-03-29 08:44:42 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Module-Mask.spec
SRPM URL:
http://corsepiu.fedorapeople.org/packages/perl-Module-Mask-0.03-1.fc16.src.rpm

Description:
Sometimes you need to test what happens when a given module is not
installed. This module provides a way of temporarily hiding installed
modules from perl's require mechanism. The Module::Mask object adds itself
to @INC and blocks require calls to restricted modules.

Comment 1 Iain Arnell 2011-03-29 14:04:14 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2957067

Comment 2 Iain Arnell 2011-03-29 14:22:33 UTC
APPROVED.

The license is a little iffy; the only mention of license is in META.yml. You
should really have upstream explicitly state somewhere that it's really
under the same terms as Perl itself.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2957067

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
274036bd6329230f37009f16f218ca997f7dbb4e Module-Mask-0.03.tar.gz
274036bd6329230f37009f16f218ca997f7dbb4e Module-Mask-0.03.tar.gz.srpm

Final provides / requires are sane:

======> perl-Module-Mask-0.03-1.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Module::Mask) = 0.03
perl-Module-Mask = 0.03-1.fc16
====> requires
perl(Carp)  
perl(Carp::Heavy)  
perl(:MODULE_COMPAT_5.12.3)  
perl(Module::Util) >= 1.00
perl(Scalar::Util)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Module-Mask-0.03-1.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl >= 1:5.8.0
perl(Module::Build)  
perl(Module::Util) >= 1.00
perl(Test::More)  
perl(Test::Pod) >= 1.14
perl(Test::Pod::Coverage) >= 1.04
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Module-Mask-0.03-1.fc16.noarch.rpm
INFO: 
================================================================================
 Package                 Arch   Version           Repository               Size
================================================================================
Installing:
 perl-Module-Mask        noarch 0.03-1.fc16       /perl-Module-Mask-0.03-1.fc16.noarch
                                                                          9.9 k
Installing for dependencies:
 perl-CPAN               noarch 1.9402-156.fc16   fedora                  246 k
 perl-Digest-SHA         x86_64 1:5.47-156.fc16   fedora                   63 k
 perl-ExtUtils-MakeMaker noarch 6.56-156.fc16     fedora                  289 k
 perl-ExtUtils-ParseXS   noarch 1:2.2206-156.fc16 fedora                   44 k
 perl-Module-Util        noarch 1.07-6.fc15       fedora                   22 k
 perl-Test-Harness       noarch 3.17-156.fc16     fedora                  239 k
 perl-devel              x86_64 4:5.12.3-156.fc16 fedora                  448 k
 python                  x86_64 2.7.1-6.fc15      fedora                   73 k
 systemtap-sdt-devel     x86_64 1.4-5.fc16        fedora                   41 k

Transaction Summary
================================================================================
Install      10 Package(s)

Total size: 1.4 M
Total download size: 22 k
Installed size: 3.9 M

Installed:
  perl-Module-Mask.noarch 0:0.03-1.fc16                                         

Dependency Installed:
  perl-CPAN.noarch 0:1.9402-156.fc16                                            
  perl-Digest-SHA.x86_64 1:5.47-156.fc16                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.56-156.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-156.fc16                                
  perl-Module-Util.noarch 0:1.07-6.fc15                                         
  perl-Test-Harness.noarch 0:3.17-156.fc16                                      
  perl-devel.x86_64 4:5.12.3-156.fc16                                           
  python.x86_64 0:2.7.1-6.fc15                                                  
  systemtap-sdt-devel.x86_64 0:1.4-5.fc16                                       


State Changed: unlock buildroot

Comment 3 Ralf Corsepius 2011-03-29 15:50:31 UTC
Thanks, once more, Iain.


New Package SCM Request
=======================
Package Name: perl-Module-Mask
Short Description: Pretend certain modules are not installed
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-03-29 16:02:31 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-29 17:10:25 UTC
perl-Module-Mask-0.03-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Module-Mask-0.03-1.fc13

Comment 6 Fedora Update System 2011-03-29 17:10:33 UTC
perl-Module-Mask-0.03-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Module-Mask-0.03-1.fc15

Comment 7 Fedora Update System 2011-03-29 17:10:41 UTC
perl-Module-Mask-0.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Module-Mask-0.03-1.fc14

Comment 8 Fedora Update System 2011-03-30 02:26:54 UTC
perl-Module-Mask-0.03-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 9 Fedora Update System 2011-04-03 04:22:37 UTC
perl-Module-Mask-0.03-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-04-07 18:47:43 UTC
perl-Module-Mask-0.03-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-04-07 18:49:08 UTC
perl-Module-Mask-0.03-1.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.